Package org.apache.lucene.facet.taxonomy

## Class IntTaxonomyFacets.IntAggregatedValue

- java.lang.Object
- - org.apache.lucene.facet.taxonomy.TaxonomyFacets.AggregatedValue
  - - org.apache.lucene.facet.taxonomy.IntTaxonomyFacets.IntAggregatedValue

- Enclosing class:
    IntTaxonomyFacets

      protected class IntTaxonomyFacets.IntAggregatedValue
      extends TaxonomyFacets.AggregatedValue

  An accumulator for an integer aggregated value.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntAggregatedValue​(int value)` | Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `aggregate​(int ord)` | Aggregate the value corresponding to the given ordinal into this value.
    `Number` | `get()` | Retrieve the encapsulated value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntAggregatedValue

          public IntAggregatedValue​(int value)

      Sole constructor.

  - ### Method Detail

    - #### aggregate

          public void aggregate​(int ord)

      Description copied from class: `TaxonomyFacets.AggregatedValue`
      Aggregate the value corresponding to the given ordinal into this value.
      Specified by:
        `aggregate` in class `TaxonomyFacets.AggregatedValue`

    - #### get

          public Number get()

      Description copied from class: `TaxonomyFacets.AggregatedValue`
      Retrieve the encapsulated value.
      Specified by:
        `get` in class `TaxonomyFacets.AggregatedValue`